Subject: Re: PSAMP open issue 18: export rate limit?

From: Juergen Quittek <[email-masked]>
Date: Thu, 02 Mar 2006 15:42:58 +0100

Ho Benoit,

--On 2/28/06 4:36 PM +0100 Benoit Claise wrote:

> Dear all,
>
> After speaking with Andrew and Paul, here is a proposal:
> There MUST be a IPFIX Message export rate limit, configurable per Exporting Process.
> The Exporting Process MAY rate-limit the export rate on a per Collecting Process basis.

I agree with the idea of requesting means for limiting the export rate.
I am not sure that we should request that this feature is always enabled
as the text above implies by stating "There MUST be ...".  Also I do not
see a strong reason for requesting that configurability per Exporting
Process as a MUST.  A single value for all Exporting Processes at a device
should be sufficient. What about

  "An Exporting Process MUST be able to limit the export rate according to a
  configurable value.  The Exporting Process MAY limit the export rate on
  a per Collecting Process basis." ?

Thanks,

    Juergen

> Feedback?
>
> Regards, Benoit.
>
>> Hello Benoit and all.
>>
>> Benoit Claise wrote:
>>> Dear all,
>>>
>>> In [PSAMP-FMWK], the following statement is still un-addressed in
>>> [PSAMP-PROTO]
>>> PROTO-18 “The exporting process must have an export rate limit,
>>> configurable per Exporting Process”.
>>> See section 8.3 for the details
>>> http://www.ietf.org/internet-drafts/draft-ietf-psamp-framework-10.txt
>>>
>>>
>>> First of all, I have a question regarding the requirement itself.
>>> Isn't it supposed to mean: “The exporting process must have an export
>>> rate limit, configurable per Collecting Process”? Otherwise, I don't
>>> understand the exact requirement when we have a PSAMP device
>>> exporting to multiple collectors!
>>
>> I would say that each Exporting Process exports to only one collector,
>> but can be fed by multiple Metering Processes.  Also, each Metering
>> Process may feed Multiple Exporting Processes.  With this concept we
>> can rate limit the Exporting Process and it will only affect one
>> collector.
>>
>>
>>> Then, how to address the requirement?
>>> Shall we simply update [PSAMP-PROTO] with a sentence such as: "The
>>> exporting process MUST have an export rate limit, configurable per
>>> Collecting Process"?
>>> And that's it?
>>
>> If we agree that one Exporting Process deals with only one collector
>> then this simplifies matters.
>>
>>
>>> Do we keep the export rate limit as a generic term? Or do we define
>>> precisely what it mean? Example: number of IPFIX Messages, number of
>>> bytes/s, number of records/s?
>>
>> I think we should pick a MUST, such as we MUST be able to rate limit
>> based on the number of data and option records per second, but you MAY
>> rate limit on other criteria also, such as bandwidth.  This will allow
>> some common ground between implementations, useful for people who buy
>> from multiple vendors.
>>
>> Regards
>>
>> Andrew
>
>
> --
> to unsubscribe send a message to [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/psamp/>

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/psamp/>

---

From: Andrew Johnson <[email-masked]>
Date: Thu, 02 Mar 2006 16:13:03 +0000

> should be sufficient. What about

IIRC the reason given for limiting the exporting process was so as not
to overwhelm the collecting process.  With this in mind it makes good
sense to limit the exporting process on a per collector basis.

That said, I don't strongly object to your proposed change below.

Andrew

---

From: Benoit Claise <[email-masked]>
Date: Fri, 03 Mar 2006 00:36:54 +0100

Ho Juergen,
> as the text above implies by stating "There MUST be ...". 
Agreed.
> Also I do not
I support your proposal

Regards, Benoit.